[FC1] Convert File
curl --request POST \
--url https://api-lr.agent.ai/v1/action/file_converter_convert_action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_file_url": "<string>",
"output_format": "<string>",
"output_variable_name": "converted_file",
"input_format": "<string>"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/file_converter_convert_action"
payload = {
"input_file_url": "<string>",
"output_format": "<string>",
"output_variable_name": "converted_file",
"input_format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_file_url: '<string>',
output_format: '<string>',
output_variable_name: 'converted_file',
input_format: '<string>'
})
};
fetch('https://api-lr.agent.ai/v1/action/file_converter_convert_action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}File Converter
[FC1] Convert File
Convert a file from one format to another using CloudConvert. Supports 200+ formats including documents, images, video, audio, and more.
POST
/
action
/
file_converter_convert_action
[FC1] Convert File
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
S3 or public URL of the file to convert.
Target format (e.g. txt, jpg, mp3).
Variable name for the result.
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$File extension (e.g. pdf, docx, png, mp4).
⌘I

